# Calculate DCA Date

`POST` `/v1/dailycoins/calc-trd-date`

:::warning Longbridge HK / SG accounts only
This method is available to Longbridge HK / SG accounts only. It works with any supported symbol, including US stocks.
:::

Calculate the next projected trade date for given DCA plan parameters.

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol. |
| `invest_frequency` | string | Yes | Frequency: `Daily`, `Weekly`, `Fortnightly`, `Monthly`. |
| `invest_day_of_week` | string | No | Day of week for weekly/fortnightly plans: `mon`–`fri`. |
| `invest_day_of_month` | string | No | Day of month for monthly plans: `1`–`28`. |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/dailycoins/calc-trd-date' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"symbol":"<symbol>","invest_frequency":"<invest_frequency>","invest_day_of_week":"<invest_day_of_week>","invest_day_of_month":"<invest_day_of_month>"}'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `trade_date` | string | Yes | Next projected trade date (YYYY-MM-DD) |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "trade_date": "2024-02-15"
  }
}
```
